Suolakeksi

BukkitForge - Getting Bukkit plugins on Tekkit Lite

Recommended Posts

Noob error. Didn't delete the lib folder. Creeper disabling works well now.

Core protect ingame interface is not working at all now. And lockette isnt super. Just waiting on those til i can get my server running fresh.

Also WorldEdit Regen not working

Thanks Keepcalm

I test all this with a fresh 0.5.3 Server, i removed all entrys from the mysql Database

Share this post


Link to post
Share on other sites

I've try the new PEx with #87+ BukkitForge version and this works perfectly. So very thanks for this. Now I have another problem but maybe is only mine. When the server is on, later little time, this don't read the command that we used. Why this?

Share this post


Link to post
Share on other sites

So people have been asking on many threads that is there a way to add bukkit plugins to tekkit lite that runs on forge only, well the answer is now yes. It's a very easy way that you can use to get a almost (not all plugins work yet) 100% bukkit support for the latest tekkit lite build (0.52).

Updated as of 19.01.2013

Updated content: New links to some plugins

NOTICE:

-The players of the server do not need to patch anything or download anything, only the server!

-Multiverse works, but you can't create new worlds. Import works though.

-I'm not a developer of BukkitForge, so I can't answer on any specific bukkitforge code stuff.

-If you want to ask questions about the code or stuff like that, then ask KeepCalm who is the awesome developer of BukkitForge!

To achieve the bukkit support you will have to do this:

1. First off you will need to download the tekkit lite 0.52 server

2. extract the whole file into your folder of choice

3. Download the latest bukkitforge (patches are being deployed almost everyday)

3.b If the link is down go to this page

4. Extract the jar file into coremods

5. Make a plugin folder in the tekkit lite folder

6. install any plugin you want

7. Start your server

8. Enjoy

OPTIONAL: Install forge essentials if you want. >> LINK <<

--------

These plugins work at the moment: (i will update the list after testing more plugins or when people report new working ones)

Most of the plugins are linked, so click them if you want working versions of the plugins!

-Enjin Minecraft plugin (customized version provided by Tux2, haven't tested out myself yet)

-Essentials full (NEW LINK!)

-Permissions EX(NEW LINK!)

-Multiverse (NEW LINK!)

-Core Protect (NEW LINK!)

-Multiverse-portals (NEW LINK!)

-Multiverse-netherportals (NEW LINK!)

-Worldedit (NEW LINK!)

-Buycraft (NEW LINK!)

-VoxelSniper

-Worldguard

-Plugman

-Iconomy

-Hyperconomy

-Vault

-scheduledAnnouncer2

-Mobarena

-Mobhealth

-Swatchdog

-Chestshop

-Antibot

-Survival Games

-Simply Vanish

-Rotate things

-Tekkit toolkit

-automessage

-Zevautomessenger (haven't tested out myself)

-Clearlag

-lagmeter

-Honeypot

-herobrine-bring back the legend (haven't tested out myself)

-Ichat (Haven't tested out myself)

-Backup plugins

-Hawkeye plugin - Tested rollback + logging

-FC_announcer

-FC_suite_shared

---------

These plugins do NOT work at the moment: (i will update the list after testing more plugins)

-Factions (both 1.6+ and 1.8+. odd as 1.8.0 doesn't even work)

-Citizens (for some odd reason. Will test later again when it is patched)

-DisguiseCraft

-LWC

-VanishNoPacket

-OpenInv

-McMMO

-GriefPrevention

-UltimateCommands (haven't tested myself)

-LogBlock (haven't tested myself)

-Lockette (haven't tested myself)

-Creative Gates (haven't tested myself)

--------

This method worked for me, so hopefully it will also help all of the other server owners who are having problems with implementing any plugins at all to their servers.

I also want to thank the tekkit team for their awesome work on tekkit! Just hoping that Forgebukkit gets done soon so that you will be able to get tekkit classic patched also ^_^

Thanks to everyone who has been helping sort out the working and the non working plugins with me :)

Core Protect starts up, but does nothing. It does not detect when and where blocks are broken or placed. It does not rollback changes. I have the latest bukkitforge and I have tried several versions of CoreProtect.

Share this post


Link to post
Share on other sites

I have Essentials 2.9.2 and am using PermissionsBukkit. I set up my groups and the users on it but when regular users try to use /spawn, /home, /sethome, etc, it says:

[PLAYER_COMMAND] gav0110: /spawn

13:24:55 [iNFO] [Essentials] checking if gav0110 has essentials.mail

13:24:55 [iNFO] [Essentials] checking if gav0110 has essentials.spawn

13:24:55 [WARNING] gav0110 was denied access to command.

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.color

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.magic

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.format

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.url

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.nocommandcost.all

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.nocommandcost.chat

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.eco.loan

Can anyone help me figure out what the problem is?

Share this post


Link to post
Share on other sites

World Guard is acting weird with a #89 fresh install. All regions "use" flag is acting like its set to deny. which it's clearly not. (Doors are staing shut in regioned areas) (only effects people that are not members or owners of said regions.)

Share this post


Link to post
Share on other sites

I have Essentials 2.9.2 and am using PermissionsBukkit. I set up my groups and the users on it but when regular users try to use /spawn, /home, /sethome, etc, it says:

[PLAYER_COMMAND] gav0110: /spawn

13:24:55 [iNFO] [Essentials] checking if gav0110 has essentials.mail

13:24:55 [iNFO] [Essentials] checking if gav0110 has essentials.spawn

13:24:55 [WARNING] gav0110 was denied access to command.

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.color

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.magic

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.format

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.chat.url

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.nocommandcost.all

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.nocommandcost.chat

13:25:00 [iNFO] [Essentials] checking if gav0110 has essentials.eco.loan

Can anyone help me figure out what the problem is?

When i try to use Spawn, it sends me to the actually spawn of the game, not the new one set by essentials. Also, /home command does the same thing, but also ignores if they have a bed or not.

Share this post


Link to post
Share on other sites

Coreprotect is reporting the following problem with bukkitforge...

2013-01-23 08:15:27 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Loading CoreProtect v1.74

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.Essentials] [Essentials] Loading Essentials v2.9.6

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.chat.EssentialsChat] [EssentialsChat] Loading EssentialsChat v2.9.6

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.protect.EssentialsProtect] [EssentialsProtect] Loading EssentialsProtect v2.9.6

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.antibuild.EssentialsAntiBuild] [EssentialsAntiBuild] Loading EssentialsAntiBuild v2.9.6

2013-01-23 08:15:27 [iNFO] [bukkitForge] Loading PostWorld plugins...

2013-01-23 08:15:27 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Enabling CoreProtect v1.74

2013-01-23 08:15:27 [iNFO] [sTDOUT] ------------------------------

2013-01-23 08:15:27 [iNFO] [sTDOUT] [CoreProtect] CoreProtect was unable to start.

2013-01-23 08:15:27 [iNFO] [sTDOUT] [CoreProtect] An incompatible Craftbukkit version was detected.

2013-01-23 08:15:27 [iNFO] [sTDOUT] ------------------------------

2013-01-23 08:15:27 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Disabling CoreProtect v1.74

I've left it with the default bukkitforge version of

S:bukkitVersionString=git-BukkitForge-1.4.5-R1.0-b3000 jnks (Really: BukkitForge for MC 1.4.7)

Does anyone know what this needs to be set too, to get coreprotect to accept it as a viable version..

Share this post


Link to post
Share on other sites

Coreprotect is reporting the following problem with bukkitforge...

2013-01-23 08:15:27 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Loading CoreProtect v1.74

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.Essentials] [Essentials] Loading Essentials v2.9.6

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.chat.EssentialsChat] [EssentialsChat] Loading EssentialsChat v2.9.6

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.protect.EssentialsProtect] [EssentialsProtect] Loading EssentialsProtect v2.9.6

2013-01-23 08:15:27 [iNFO] [com.earth2me.essentials.antibuild.EssentialsAntiBuild] [EssentialsAntiBuild] Loading EssentialsAntiBuild v2.9.6

2013-01-23 08:15:27 [iNFO] [bukkitForge] Loading PostWorld plugins...

2013-01-23 08:15:27 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Enabling CoreProtect v1.74

2013-01-23 08:15:27 [iNFO] [sTDOUT] ------------------------------

2013-01-23 08:15:27 [iNFO] [sTDOUT] [CoreProtect] CoreProtect was unable to start.

2013-01-23 08:15:27 [iNFO] [sTDOUT] [CoreProtect] An incompatible Craftbukkit version was detected.

2013-01-23 08:15:27 [iNFO] [sTDOUT] ------------------------------

2013-01-23 08:15:27 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Disabling CoreProtect v1.74

I've left it with the default bukkitforge version of

S:bukkitVersionString=git-BukkitForge-1.4.5-R1.0-b3000 jnks (Really: BukkitForge for MC 1.4.7)

Does anyone know what this needs to be set too, to get coreprotect to accept it as a viable version..

Change it to this: git-Bukkit-1.4.7-R1.0-b2545jnks (Really: BukkitForge for MC 1.4.7).

Share this post


Link to post
Share on other sites

Change it to this: git-Bukkit-1.4.7-R1.0-b2545jnks (Really: BukkitForge for MC 1.4.7).

Alas coreprotect remains unhappy :(

2013-01-23 11:02:16 [iNFO] [bukkitForge] Bukkit API for Vanilla, version 1.4.5-R0.2 starting up...

2013-01-23 11:02:16 [iNFO] [bukkitForge] This server is running BukkitForge version git-Bukkit-1.4.7-R1.0-b2545jnks (Really: BukkitForge for MC 1.4.7) (Implementing API version 1.4.5-R0.2)

2013-01-23 11:02:17 [iNFO] [bukkitForge] Plugins are being loaded...

2013-01-23 11:02:18 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Loading CoreProtect v1.74

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.Essentials] [Essentials] Loading Essentials v2.9.6

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.chat.EssentialsChat] [EssentialsChat] Loading EssentialsChat v2.9.6

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.protect.EssentialsProtect] [EssentialsProtect] Loading EssentialsProtect v2.9.6

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.antibuild.EssentialsAntiBuild] [EssentialsAntiBuild] Loading EssentialsAntiBuild v2.9.6

2013-01-23 11:02:18 [iNFO] [bukkitForge] Loading PostWorld plugins...

2013-01-23 11:02:18 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Enabling CoreProtect v1.74

2013-01-23 11:02:18 [iNFO] [sTDOUT] ------------------------------

2013-01-23 11:02:18 [iNFO] [sTDOUT] [CoreProtect] CoreProtect was unable to start.

2013-01-23 11:02:18 [iNFO] [sTDOUT] [CoreProtect] An incompatible Craftbukkit version was detected.

2013-01-23 11:02:18 [iNFO] [sTDOUT] ------------------------------

2013-01-23 11:02:18 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Disabling CoreProtect v1.74

Share this post


Link to post
Share on other sites

grief prevention works

What have you tested it with? Lasers? Creeper damage? Chest protection?

Alas coreprotect remains unhappy :(

2013-01-23 11:02:16 [iNFO] [bukkitForge] Bukkit API for Vanilla, version 1.4.5-R0.2 starting up...

2013-01-23 11:02:16 [iNFO] [bukkitForge] This server is running BukkitForge version git-Bukkit-1.4.7-R1.0-b2545jnks (Really: BukkitForge for MC 1.4.7) (Implementing API version 1.4.5-R0.2)

2013-01-23 11:02:17 [iNFO] [bukkitForge] Plugins are being loaded...

2013-01-23 11:02:18 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Loading CoreProtect v1.74

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.Essentials] [Essentials] Loading Essentials v2.9.6

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.chat.EssentialsChat] [EssentialsChat] Loading EssentialsChat v2.9.6

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.protect.EssentialsProtect] [EssentialsProtect] Loading EssentialsProtect v2.9.6

2013-01-23 11:02:18 [iNFO] [com.earth2me.essentials.antibuild.EssentialsAntiBuild] [EssentialsAntiBuild] Loading EssentialsAntiBuild v2.9.6

2013-01-23 11:02:18 [iNFO] [bukkitForge] Loading PostWorld plugins...

2013-01-23 11:02:18 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Enabling CoreProtect v1.74

2013-01-23 11:02:18 [iNFO] [sTDOUT] ------------------------------

2013-01-23 11:02:18 [iNFO] [sTDOUT] [CoreProtect] CoreProtect was unable to start.

2013-01-23 11:02:18 [iNFO] [sTDOUT] [CoreProtect] An incompatible Craftbukkit version was detected.

2013-01-23 11:02:18 [iNFO] [sTDOUT] ------------------------------

2013-01-23 11:02:18 [iNFO] [net.coreprotect.CoreProtect] [CoreProtect] Disabling CoreProtect v1.74

I think you are supposed to use an older version.

Share this post


Link to post
Share on other sites

Is anyone else having a problem with worldedit //regen?

How have people found the essentials blacklisting for non-vanilla items?

Has anyone found a logging tool that logs non vanilla-items?

Share this post


Link to post
Share on other sites

I have trouble with essentials/groups.Server shows that plugin is working and I can add myself in groups.Problem is that server does not accept permissions added for Owner,default,moderators etc.How to fix this?What i need to do?

Share this post


Link to post
Share on other sites

Bit of an update on signs plugins not working :

Today I installed repairshop to see if that worked and this time it only changed the first line into !? which was the only line on the sign that had colour formatting, maybe this is why none of the plugins using signs work? (all the ones I tested use colourcodes)

*edit*

I also can't get coreprotect to work, edited the bukkitforge.cfg and tried both latest and 1.74 coreprotect to no effect :(

Share this post


Link to post
Share on other sites

I have trouble with essentials/groups.Server shows that plugin is working and I can add myself in groups.Problem is that server does not accept permissions added for Owner,default,moderators etc.How to fix this?What i need to do?

Cant help but notice you posted the exact same post in Forge essentials and bukkit-forge thread. Which one are you actually using?

Share this post


Link to post
Share on other sites

Here's my Permissions for users:

user:

permissions:

permissions.build: true

permissions.*: true

iConomy.access: true

iConomy.bank.access: true

iConomy.bank.deposit: true

iConomy.bank.join: true

iConomy.bank.join.multiple: true

iConomy.bank.leave: true

iConomy.bank.list: true

iConomy.bank.main: true

iConomy.bank.main.change: true

iConomy.bank.main.view: true

iConomy.bank.main.set: true

iConomy.bank.transfer: true

iConomy.bank.transfer.multiple: true

iConomy.bank.withdraw: true

iConomy.list: true

iConomy.payment: true

iConomy.rank: true

essentials.spawn: true

essentials.back: true

essentials.back.ondeath: true

essentials.home: true

essentials.sethome: true

essentials.tpa: true

essentials.tpaccept: true

essentials.tpahere: true

essentials.tpdeny: true

essentials.mail.send: true

essentials.mail: true

lwc.protect: true

ChestShop.shop.buy: true

ChestShop.shop.sell: true

worlds:

creative: false

coolplugin.item: true

inheritance:

- default

But my members still can't use /spawn, /home, /back, none of the tpa's, almost nothing with essentials. Btw, Essentials 2.9.2 with PermissionsBukkit.

Share this post


Link to post
Share on other sites

I also have the same problem but I am using PermissionsEx

when I op myself and then deop I can use all commands until I relog after that I can't use any command except for /plugins

I can't even use /help.

Share this post


Link to post
Share on other sites

I also forgot to mention, it only crashes when I try to use the world files from a backup. If I start the server fresh, it has no issues what so ever starting.

From what I can gather, it is WR-CBE RedPower 1.3.2.4.jar causing the issue, I believe when it is trying to execute something in "MinecraftServer.java" So yes, wireless redpower is incompatable.

Share this post


Link to post
Share on other sites

Also, I don't believe Essentials GeoIP or XMPP work. I get this error on server start:

[iNFO] Creating config from template: D:\User Applications\user\Desktop\Tekkit_Lite_Server_0.5.2\.\plugins\EssentialsXMPP\config.yml

[WARNING] config broken for xmpp

[sEVERE] GeoIP download url is empty.

[sEVERE] Failed to read GeoIP database!

java.io.FileNotFoundException: D:\User Applications\user\Desktop\Tekkit_Lite_Server_0.5.2\.\plugins\EssentialsGeoIP\GeoIP.dat (The system cannot find the file specified)

at java.io.RandomAccessFile.open(Native Method)

at java.io.RandomAccessFile.<init>(Unknown Source)

at com.maxmind.geoip.LookupService.<init>(LookupService.java:273)

at com.earth2me.essentials.geoip.EssentialsGeoIPPlayerListener.reloadConfig(EssentialsGeoIPPlayerListener.java:132)

at com.earth2me.essentials.geoip.EssentialsGeoIPPlayerListener.<init>(EssentialsGeoIPPlayerListener.java:41)

at com.earth2me.essentials.geoip.EssentialsGeoIP.onEnable(EssentialsGeoIP.java:34)

at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:217)

at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:430)

at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:381)

at keepcalm.mods.bukkit.bukkitAPI.BukkitServer.loadPlugin(BukkitServer.java:936)

at keepcalm.mods.bukkit.bukkitAPI.BukkitServer.enablePlugins(BukkitServer.java:920)

at keepcalm.mods.bukkit.bukkitAPI.BukkitServer.<init>(BukkitServer.java:256)

at keepcalm.mods.bukkit.asm.BukkitStarter.run(BukkitStarter.java:46)

at java.lang.Thread.run(Unknown Source)

But server does not crash.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.